Page MenuHomePhabricator

Request for Raz be added to the ldap/wmde group
Closed, ResolvedPublic

Description

I’m employed at WMDE as a engineering manager and would like to be added to the ldap/wmde group. My username is raz-shuty.
I need to

  • sign NDA with WMF legal for LDAP access
  • get added to ldap/wmde
  • add wmde users to ldap_only admins (dzahn)

Event Timeline

RazShuty created this task.Feb 15 2018, 1:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2018, 1:31 PM

If this request is only about getting added to the wmde group (which controls some Gerrit settings related to WMDE projects) you don't need to sign an NDA with the WMF Legal department (but let me clarify that with them, I'll update this task).

Per comments in T177599

  • L2 is only for access to the "WMF-NDA" group on phabricator (for access to restricted tickets) T177599#3674019
  • An NDA will be required with legal per T177599#3674080 for access to an LDAP group T177599#3673991
  • The wmde group is not in the "admins" module in puppet but the user will have to be added to ldap_only_users there T177599#3687404
Tobi_WMDE_SW updated the task description. (Show Details)Feb 15 2018, 2:38 PM

Per @Addshore 's comment, I removed the requirement for L2 from the description.

fgiunchedi triaged this task as Normal priority.Feb 16 2018, 9:42 AM
RobH added a subscriber: RobH.

This seems to be pending @MoritzMuehlenhoff's confirmation with legal regarding NDA requirements.

Rachel wanted to doublecheck within the WMF Legal department, but that will take until tomorrow at least due to the WMF holiday for US staff.

Hello all,
Just an update that I checked w/ the attorneys and we're going to continue to do NDAs for all LDAP access requests that come through phabricator until we can better document any exceptions. I've routed the NDA to Raz for signature. Thanks!

I'll also start adding the "wmde" users to our "ldap_only" admins group then to avoid confusion.

Raz's NDA is fully signed. Thanks!

Mentioned in SAL (#wikimedia-operations) [2018-02-22T00:00:26Z] <mutante> LDAP - added uid 'raz-shuty' to group 'wmde' (T187442)

Dzahn added a comment.EditedFeb 22 2018, 12:01 AM

@RazShuty done! you have been added to the group. I think you have to log out and log back in on Gerrit. Let us know if any issues.

Dzahn updated the task description. (Show Details)Feb 23 2018, 4:46 AM

Change 413668 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add raz-shuty to ldap_only admins

https://gerrit.wikimedia.org/r/413668

Change 413668 merged by Dzahn:
[operations/puppet@production] admins: add raz-shuty to ldap_only admins

https://gerrit.wikimedia.org/r/413668

I'll also start adding the "wmde" users to our "ldap_only" admins group then to avoid confusion.

@RobH correction: i had already done that in the past and just had to add Raz, so the term "start" is misleading here. and i just added him and so this is resolved.

Dzahn updated the task description. (Show Details)Feb 23 2018, 5:26 AM
Dzahn closed this task as Resolved.
Dzahn removed a project: Patch-For-Review.
Addshore renamed this task from Request to be added to the ldap/wmde group to Request for Raz be added to the ldap/wmde group.Apr 13 2018, 7:48 AM